Audience Quotas (V1)
Retrieve a quota (V1)
Retrieve the current quota configuration for a project. Returns 204 No Content if no V1 quota has been set.
GET
/
v1
/
projects
/
{projectId}
/
quota
Retrieve quota
curl --request GET \
--url https://api-staging.respondent.io/v1/projects/{projectId}/quota \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-secret: <x-api-secret>'import requests
url = "https://api-staging.respondent.io/v1/projects/{projectId}/quota"
headers = {
"x-api-key": "<x-api-key>",
"x-api-secret": "<x-api-secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-api-secret': '<x-api-secret>'}
};
fetch('https://api-staging.respondent.io/v1/projects/{projectId}/quota', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.respondent.io/v1/projects/{projectId}/quota",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>",
"x-api-secret: <x-api-secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.respondent.io/v1/projects/{projectId}/quota"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("x-api-secret", "<x-api-secret>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.respondent.io/v1/projects/{projectId}/quota")
.header("x-api-key", "<x-api-key>")
.header("x-api-secret", "<x-api-secret>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.respondent.io/v1/projects/{projectId}/quota")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
request["x-api-secret"] = '<x-api-secret>'
response = http.request(request)
puts response.read_body{
"progress": {
"1": {
"currentCount": 10,
"targetCount": 25
},
"2": {
"currentCount": 15,
"targetCount": 30
}
},
"id": "<string>",
"projectId": "<string>",
"version": "v1",
"totalTarget": 2,
"status": "IN_PROGRESS",
"criteria": {
"category": "gender",
"segments": [
{
"value": "male",
"percentage": 50,
"id": "1"
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}GET /v1/projects/{projectId}/quota returns the V1 body below, or 204 when the project has no V1 quota. A project that only has a V2 quota is 204 here. Read that quota with Retrieve a quota (GET /quotas), which returns this same V1 body when that is what the project still has.
{
"id": "68086546545de68c1bc1bc1b",
"projectId": "68084868666de68c1b4f3412",
"version": "v1",
"totalTarget": 10,
"status": "IN_PROGRESS",
"criteria": {
"category": "gender",
"segments": [
{
"id": "1",
"value": "male",
"percentage": 50
},
{
"id": "2",
"value": "female",
"percentage": 50
}
]
},
"progress": {
"1": {
"currentCount": 2,
"targetCount": 5
},
"2": {
"currentCount": 1,
"targetCount": 5
}
},
"createdAt": "2025-05-15T03:44:44.482Z",
"updatedAt": "2025-05-15T03:44:44.482Z"
}
Path Parameters
Response
Quota retrieved successfully
Quota progress by segment ID
Example:
{
"1": { "currentCount": 10, "targetCount": 25 },
"2": { "currentCount": 15, "targetCount": 30 }
}
Available options:
v1 Required range:
x >= 1Available options:
IN_PROGRESS, FILLED Hide child attributes
Hide child attributes
The category this quota applies to
Available options:
age, gender, ethnicity, location Example:
"gender"
Array of quota segments
Hide child attributes
Hide child attributes
The value for this segment (e.g., "Male" for gender, "18-24" for age, "USA" for location). Type depends on category.
Available options:
male, female, other, nonbinary, transmale, transfemale, prefernottoanswer, 18-20, 21-29, 30-39, 40-54, 55+, americanindianalaskannative, hispaniclatino, blackorafricanamerican, asianpacificislander, whitecaucasian, middleeastern, multipleethnicity, prefernotdisclose, AX, AL, DZ, AS, AD, AI, AQ, AG, AR, AM, AW, AU, AT, BS, BH, BD, BB, BY, BE, BZ, BJ, BM, BT, BO, BA, BW, BV, BR, VG, IO, BN, BG, BF, BI, CV, CM, CA, KY, CF, TD, CL, CX, CC, CO, KM, CG, CK, CR, HR, CU, CW, CY, CZ, CI, CD, DK, DJ, DM, EC, EG, SV, GQ, ER, EE, SZ, ET, FK, FO, FJ, FI, FR, GF, PF, TF, GA, GM, GE, DE, GI, GR, GL, GD, GP, GU, GT, GG, GN, GW, GY, HT, HM, VA, HN, HK, HU, IS, IN, ID, IR, IQ, IE, IM, IL, IT, JM, JP, JE, JO, KZ, KE, KI, LA, LV, LB, LR, LY, LI, LT, LU, MG, MW, MY, MV, ML, MT, MH, MQ, MR, MU, YT, MX, FM, MD, MC, MN, ME, MS, MA, MZ, NA, NR, NP, NL, NC, NZ, NI, NE, NU, NF, KP, MK, MP, NO, OM, PW, PA, PG, PY, PE, PH, PN, PL, PT, PR, QA, RO, RW, RE, SH, KN, LC, PM, VC, WS, SM, ST, SA, RS, SC, SL, SG, SK, SI, SB, SO, ZA, GS, KR, ES, LK, SR, SJ, SE, CH, TZ, TW, TH, TL, TG, TK, TO, TT, TN, TR, TM, TC, TV, VI, UG, AE, GB, UM, US, UY, VU, VE, VN, WF, EH, ZM, ZW, all Example:
"male"
The target percentage for this segment (0-100)
Required range:
0 <= x <= 100Example:
50
Unique identifier for the segment
Example:
"1"
Last modified on October 20, 2026
⌘I
Retrieve quota
curl --request GET \
--url https://api-staging.respondent.io/v1/projects/{projectId}/quota \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-secret: <x-api-secret>'import requests
url = "https://api-staging.respondent.io/v1/projects/{projectId}/quota"
headers = {
"x-api-key": "<x-api-key>",
"x-api-secret": "<x-api-secret>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<x-api-key>', 'x-api-secret': '<x-api-secret>'}
};
fetch('https://api-staging.respondent.io/v1/projects/{projectId}/quota', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-staging.respondent.io/v1/projects/{projectId}/quota",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <x-api-key>",
"x-api-secret: <x-api-secret>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-staging.respondent.io/v1/projects/{projectId}/quota"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<x-api-key>")
req.Header.Add("x-api-secret", "<x-api-secret>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-staging.respondent.io/v1/projects/{projectId}/quota")
.header("x-api-key", "<x-api-key>")
.header("x-api-secret", "<x-api-secret>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-staging.respondent.io/v1/projects/{projectId}/quota")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<x-api-key>'
request["x-api-secret"] = '<x-api-secret>'
response = http.request(request)
puts response.read_body{
"progress": {
"1": {
"currentCount": 10,
"targetCount": 25
},
"2": {
"currentCount": 15,
"targetCount": 30
}
},
"id": "<string>",
"projectId": "<string>",
"version": "v1",
"totalTarget": 2,
"status": "IN_PROGRESS",
"criteria": {
"category": "gender",
"segments": [
{
"value": "male",
"percentage": 50,
"id": "1"
}
]
},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}